Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1295231 (hawaii-system-preferences) - Review Request: hawaii-system-preferences - Utilities to configure the Hawaii desktop environment
Summary: Review Request: hawaii-system-preferences - Utilities to configure the Hawaii...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: hawaii-system-preferences
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-01-03 20:14 UTC by Pier Luigi Fiorini
Modified: 2016-01-24 19:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-24 19:16:44 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Pier Luigi Fiorini 2016-01-03 20:14:16 UTC
Spec URL: https://fedorapeople.org/~plfiorini/srpms/hawaii-unstable/hawaii-system-preferences.spec
SRPM URL: https://fedorapeople.org/~plfiorini/srpms/hawaii-unstable/hawaii-system-preferences-0.5.0-1.fc23.src.rpm
Description:
This package contains configuration utilities for the Hawaii desktop, which
allow to configure various settings including desktop fonts, keyboard and
mouse properties, sound setup, desktop theme and background, user interface
properties, screen resolution, and other settings.

Fedora Account System Username: plfiorini

Comment 1 Upstream Release Monitoring 2016-01-06 09:23:50 UTC
plfiorini's scratch build of hawaii-system-preferences-0.5.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12432770

Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-22 21:14:03 UTC
With mixed licesing, you should provide a description in a comment in the spec file.

-n %{name}-%{version} is the default for %setup.

Spec file looks nice.

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-01-22 21:27:57 UTC
+ latest version
+ license is acceptable
+ license files are present, %license is used
- I'm not convinced that the license is specified correctly
+ provides and requires look sane
+ no scriptlets present or necessary
+ description and name are OK

Appdata file is not present, but I don't think it makes much sense to include it: this package will be installed as part of the desktop, and is useless otherwise.

There is a desktop file, maybe add
%check desktop-file-validate ...
?

More of an upstream issue, please notify developers:
DISPLAY= /usr/bin/hawaii-system-preferences
QXcbConnection: Could not connect to display 
Aborted (core dumped)

So the only notable issue is the licensing. Can you clarify which parts in the binary rpm are under which licenses?

Comment 4 Pier Luigi Fiorini 2016-01-22 22:02:55 UTC
License: Executable is GPL2+, preference applets are LGPL2.1+.

Appdata: I didn't include it because it might be useless for other people. Actually I can check what gnome-control-center and systemsettings do.

Desktop files: yes there are a bunch of desktop files, will add validation with the next iteration.

Upstream issue: Yeah looks like a Qt issue, happens with other programs too.

Comment 5 Zbigniew Jędrzejewski-Szmek 2016-01-22 23:50:51 UTC
(In reply to Pier Luigi Fiorini from comment #4)
> License: Executable is GPL2+, preference applets are LGPL2.1+.
OK. Please add a comment in the spec file.

> Appdata: I didn't include it because it might be useless for other people.
Right. That's what I said ;)

> Actually I can check what gnome-control-center and systemsettings do.
OK.

Hm, gnome-control-center does have an appdata file. But gnome-software refuses to show it. It also fails validation. I'm not sure what the proper resolution is here. You might want to ask on fedora-devel. Either way, the package can go in without appdata.

Comment 7 Upstream Release Monitoring 2016-01-24 11:00:45 UTC
plfiorini's scratch build of hawaii-system-preferences-0.5.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12667586

Comment 8 Zbigniew Jędrzejewski-Szmek 2016-01-24 14:29:15 UTC
OK, no more issues. Package is APPROVED.

Comment 9 Gwyn Ciesla 2016-01-24 19:02:22 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/hawaii-system-preferences


Note You need to log in before you can comment on or make changes to this bug.